Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.GroovyParserRuleContext

- org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

- All Implemented Interfaces and Traits:
    NodeMetaDataHandler

      public static class GroovyParser.GroovyParserRuleContext
      extends ParserRuleContext
      implements NodeMetaDataHandler

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParserRuleContext` | `children, start, stop, exception, parent, invokingState`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyParserRuleContext()`
    `GroovyParserRuleContext(ParserRuleContext parent, int invokingStateNumber)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Map<?, ?>` | `getMetaDataMap()`
    `` | `public void` | `setMetaDataMap(Map<?, ?> metaDataMap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ParserRuleContext` | `accept, addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, depth, emptyContext, enterRule, equals, exitRule, getAltNumber, getChild, getChild, getChild, getChildContext, getChildCount, getClass, getParent, getParent, getParent, getParent, getParent, getPayload, getPayload, getRuleContext, getRuleContext, getRuleContexts, getRuleIndex, getSourceInterval, getStart, getStop, getText, getToken, getTokens, hashCode, isEmpty, notify, notifyAll, removeLastChild, setAltNumber, setParent, toInfoString, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyParserRuleContext()

    - #### public GroovyParserRuleContext(ParserRuleContext parent, int invokingStateNumber)

  - ### Method Detail

    - #### @Override
      public Map<?, ?> getMetaDataMap()

    - #### @Override
      public void setMetaDataMap(Map<?, ?> metaDataMap)